Also try to build setcdboot' first, and only pkg_add -r' if you cannot.

Submmitted by:	dirk
This commit is contained in:
David E. O'Brien 2001-09-05 20:04:35 +00:00
parent 2392d350e6
commit a950ae8393
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/head/; revision=83111

View File

@ -55,10 +55,14 @@ mkisofs -r -J -h -V $LABEL -o $NAME $*
type setcdboot 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The setcdboot port is not installed. Trying to get it now.
if ! pkg_add -r setcdboot; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
if [ -f /usr/ports/sysutils/setcdboot/Makefile ]; then
cd /usr/ports/sysutils/setcdboot && make install && make clean
else
if ! pkg_add -r setcdboot; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
fi
fi
if [ "x$bootable" != "x" ]; then